GET
https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/backlog
Returns the positions in the backlog of an arbitrage bot, coming from its exchange and market arbitrages.
OAuth scope:
read About scopes
Each item carries its source as exchange_arbitrage_id or market_arbitrage_id, depending on the kind of arbitrage it came from.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of an arbitrage bot. |
Response
{
"data": [
{
"id": "1370001",
"exchange_arbitrage_id": "2397001",
"base_currency": "USDT",
"currency": "ETH",
"exchange": "binance",
"pair": "ETHUSDT",
"amount": "0.05",
"rate": "2500.12",
"val": "125.006",
"buy_order_id": "0",
"buy_trade_id": "0",
"sell_order_id": "0",
"sell_trade_id": "0",
"retry_order": null,
"current_order_id": "0",
"date": "2026-09-25 10:00:00"
}
]
}